<div class="modal-content">
  <div class="modal-header ">
    <button type="button" class="close" ng-click="closeModal()" data-dismiss="modal">&times;</button>
    <h4 id="myModalLabel1" class="modal-title">{{singleBookDetails.Title}} Information</h4>
  </div>
  <div class="modal-body">
    <div class="box-body">
      <div class="row">
        <div class="col-md-6 .col-md-offset-4">
          <!--<div class="headline"><h2>Latest Shots</h2></div>-->
          <div ng-if="ImageContainerLL.length===0" class="item active" ><!--style="overflow: scroll"--><!--{{leftCara}}{{rightCara}}-->
            <img  ng-src="img/prevew/No_image_available.jpg" alt="" style="width:100%"  data-target="#myModal1">
          </div>
          <div ng-if="ImageContainerLL.length>0">
            <image-slider image-array="{{ImageContainerLL}}"></image-slider>
          </div>

          <!--/col-md-4-->
        </div>
        <div class="col-md-6">
          <blockquote class="hero">
            <p>
              <em>"{{singleBookDetails.ShortDesc}}"</em>
            </p>
          </blockquote>
          <div class="headline-v2">
            <h4>Description</h4>
          </div>
          <div class="scrollBar">
            <p>
            <div  ng-bind-html="singleBookDetails.LongDesc"></div>
            </p>
          </div>
          <hr>
          <div class="col-md-6">
            <ul class="list-unstyled">
              <li><label ng-if="singleBookDetails.IsbnNumber10"> <i class="fa fa-tags color-green">ISBN-10 No:</i> {{singleBookDetails.IsbnNumber10}}</label></li>
              <li><label  ng-if="singleBookDetails.Category.names.length!=0" >
                  <i role="button" data-toggle="collapse"  data-target="#collapseOne" class="fa fa-user color-green cursorPointer">Categories: <span style="font-size: 1.4em">...</span></i>
                  <div id="collapseOne" class="collapse">
                  <a class="cursorPointer" ng-repeat="category in singleBookDetails.Category.names track by $index" ng-click="getBookByCategory(category);closeModal()" data-dismiss="modal">  {{category}}
                    <span ng-if="$index!=singleBookDetails.Category.names.length-1  ">,</span>
                  </a>
                  </div>
              </label></li>
              <li><label  ng-if="singleBookDetails.Author.names.length!=0 " ><i class="fa fa-user color-green">Authors:</i><a class="cursorPointer"  ng-click="getBookByAuthor(authors);closeModal()" data-dismiss="modal" ng-repeat="authors in singleBookDetails.Author.names ">  "{{authors}}"
                <span ng-if="$index!=singleBookDetails.Author.names.length-1  ">,</span>
              </a></label></li>
             <!-- <li><label  ng-if="singleBookDetails.Format.format.length!=0"><i class="fa fa-user color-green">Format:</i><a ng-repeat="format in singleBookDetails.Format.format track by $index">  {{format}}  </a></label></li>-->
              <li><label  ng-if="singleBookDetails.Language"><i class="fa fa-user color-green">Language:</i><a ng-repeat="language in singleBookDetails.Language track by $index"> {{language}}  </a></label></li>

            </ul>
          </div>
          <div class="col-md-6">
            <ul class="list-unstyled">
              <li><label   ng-if="singleBookDetails.IsbnNumber13"> <i class="fa fa-tags color-green">ISBN-10 No:</i> {{singleBookDetails.IsbnNumber13}}</label></li>
             <!-- <li><label ng-if="singleBookDetails.PublishedDate"> <i class="fa fa-calendar color-green">Published date:</i> {{singleBookDetails.PublishedDate | date:'mediumDate'}}</label></li>-->
              <li><label ng-if="singleBookDetails.PageNo"> <i class="fa fa-tags color-green">Pages:</i>  {{singleBookDetails.PageNo}}</label></li>
              <li><label ng-if="singleBookDetails.PhysicalProperties.dimension.height"> <i class="fa fa-tags color-green">Physical Info:</i>  "H x{{singleBookDetails.PhysicalProperties.dimension.height}}"L x{{singleBookDetails.PhysicalProperties.dimension.width}}"W({{singleBookDetails.PhysicalProperties.weight}}kg)</label></li>
            </ul>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="modal-footer">
    <button class="btn btn-primary" type="button" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample" ng-click="getRelatedBooks(singleBookDetails.Category.names)">
      Related Books
    </button>
    <button type="button" class="btn btn-info btn-danger" ng-click="closeModal()" data-dismiss="modal">Close</button>
    <hr>
    <div class="collapse second" id="collapseExample">
      <div class="well">
        <div class="row" style="height: 290px; overflow: scroll;">
          <div class="col-xs-12 col-sm-6 col-md-3 col-lg-3" ng-repeat="bookNames in relatedBookArray | filter:name | orderBy:bookNames.title ">
            <!-- DIRECT CHAT PRIMARY -->
            <div class="box box-primary direct-chat direct-chat-primary">
              <div style="cursor: help;" class="box-header with-border">
                <h3 class="box-title" tooltip-placement="bottom" tooltip="{{bookNames.Title}}" tooltip-enable="true" tooltip-trigger="mouseenter">{{ bookNames.Title | limitTo: 10 }}{{bookNames.Title.length > 10 ? '...' : ''}}</h3>
              </div><!-- /.box-header -->
              <div ng-if="bookNames.Images.length==0">
                <a class="cursorPointer fancybox " rel="gallery" ng-click="getBookDetailsByBookId(bookNames.bookId);closeModal()" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">
                  <img src="../../img/prevew/No_image_available.jpg" style="width: 100%;"/>
                </a>
              </div>
              <div ng-if="bookNames.Images.length!=0">
                <a class="cursorPointer fancybox " rel="gallery" ng-click="getBookDetailsByBookId(bookNames.bookId);closeModal()" data-toggle="collapse" data-target="#collapseExample" aria-expanded="false" aria-controls="collapseExample">
                  <img ng-src="{{imageBaseUrl}}{{bookNames.Images[0].imageName}}" style="width: 100%;"/>
                </a>
              </div><!-- /.box-body -->
              <div class="box-footer">
                <!-- <p>{{bookNames.PublishedDate | date:'mediumDate'}}</p>-->
              </div><!-- /.box-footer-->
            </div><!--/.direct-chat -->
          </div><!-- /.col -->
        </div>
      </div>
    </div>
  </div>
</div>












